juzu

## Class Response.Error

- java.lang.Object
- - juzu.Response
  - - juzu.Response.Error

- Direct Known Subclasses:
    Response.Error.Forbidden
  Enclosing class:
    Response

      public static class Response.Error
      extends Response

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Response.Error.Forbidden` A specific subclass for forbidden access.

    - ### Nested classes/interfaces inherited from class juzu.Response

      `Response.Body, Response.Content, Response.Error, Response.Redirect, Response.Status, Response.View`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Response.Error(String message)`
    `Response.Error(Throwable cause)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Response.Status` | `asStatus(boolean verbose)`
    `Throwable` | `getCause()`
    `String` | `getHtmlMessage()`
    `String` | `getMessage()`
    `String` | `toString()`

    - ### Methods inherited from class juzu.Response

      `content, content, content, content, content, error, error, getProperties, notFound, notFound, notFound, notFound, notFound, ok, ok, ok, ok, ok, redirect, status, with, with, withHeader, withNo, without`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Response.Error

          public Response.Error(Throwable cause)

    - #### Response.Error

          public Response.Error(String message)

  - ### Method Detail

    - #### getCause

          public Throwable getCause()

    - #### getMessage

          public String getMessage()

    - #### getHtmlMessage

          public String getHtmlMessage()

      Returns:
        the HTML formatted message, the default implementation returns the raw message

    - #### asStatus

          public Response.Status asStatus(boolean verbose)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2017 eXo Platform SAS. All rights reserved.